VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   6780
   ClientLeft      =   60
   ClientTop       =   405
   ClientWidth     =   12240
   LinkTopic       =   "Form1"
   ScaleHeight     =   6780
   ScaleWidth      =   12240
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Autor: F. Schler (frank@activevb.de)
' Datum: 11/2020
'
' Das ist nur ein Beispiel/Testcode! Fr entsprechende Infos zu den Interfaces, die
' hier im Beispiel verwendet werden, und wie das ganze funktioniert, bitte die
' Media Foundation Doku lesen!
'
' In der IDE kommt es gelegentlich immer noch zum Absturz.
' Kompiliert luft das ganze aber recht stabil.

Option Explicit

Private m_cMEInit As Boolean
Private WithEvents cMediaEngine As clsMediaEngine
Attribute cMediaEngine.VB_VarHelpID = -1

Private Sub Form_Load()
    
    Me.ScaleMode = vbPixels
    Me.Show
    DoEvents
    
    m_cMEInit = False
    
    Set cMediaEngine = New clsMediaEngine
    
    If cMediaEngine.CreateMediaEngine(Me.hWnd, True) = True Then
    
        m_cMEInit = True
    
        cMediaEngine.SetAutoPlay = True
        
        cMediaEngine.SetSource = "https://zdf-hls-15.akamaized.net/hls/live/2016498/de/high/master.m3u8"
        
    End If
    
End Sub

Private Sub Form_Resize()
    
    If m_cMEInit = True Then
    
        Call cMediaEngine.Resize(0, 0, Me.ScaleWidth, Me.ScaleHeight)
    
    End If
    
End Sub

Private Sub Form_Unload(Cancel As Integer)

    Set cMediaEngine = Nothing

End Sub

Private Sub cMediaEngine_EventNotify(ByVal eEvent As MF_MEDIA_ENGINE_EVENT, ByVal lParam1 As Long, ByVal lParam2 As Long)

    If eEvent = MF_MEDIA_ENGINE_EVENT_NOTIFYSTABLESTATE Then
    
        Call cMediaEngine.SetNotifyStableStateEvent(lParam1)

    End If
    
    If eEvent = MF_MEDIA_ENGINE_EVENT_ERROR Then
    
        Me.Caption = "Error"
    
    End If

End Sub
